class_name Usable extends Node

signal used

@export var enabled: bool = true

func enable() -> void:
    enabled = true

func disable() -> void:
    enabled = false

func set_enabled(is_enabled: bool) -> void:
    self.enabled = is_enabled

func use():
    if enabled:
        used.emit()
